Package com.complexible.common.collect

# Class BufferLists

java.lang.Object
com.complexible.common.collect.BufferLists

public class BufferLists extends Object

Since:
  2.e
Version:
  2.e
Author:
  Evren Sirin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BufferLists()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> List<T>`
  `asJavaList(BufferList<T> buffer)`
  Creates a new `List` instance backed by the same `array` as the given `BufferList`.
  `static <T> BufferList<T>`
  `fixed(int theMaxSize)`
  `static <T> BufferList<T>`
  `fixed(T... theArray)`
  `static <T> BufferList<T>`
  `fixedEmpty(T[] theArray)`
  `static <T> BufferList<T>`
  `limited(int theInitSize, int theMaxSize)`
  `static <T> BufferList<T>`
  `limited(T[] theArray, int theMaxSize)`
  `static <T> BufferList<T>`
  `limitedWithExpectedSize(int theExpectedSize)`
  `static <T> BufferList<T>`
  `limitedWithExpectedSize(int theExpectedSize, int maxSize)`
  `static <T> ExtendedBufferList<T>`
  `sortedLimited(int theExpectedSize)`
  `static <T> ExtendedBufferList<T>`
  `sortedUnlimited(int theInitSize)`
  `static <T> BufferList<T>`
  `unlimited(int theInitSize)`
  `static <T> BufferList<T>`
  `unlimited(T[] theArray)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BufferLists

    public BufferLists()

- ## Method Details

  - ### fixed

    public static <T> BufferList<T> fixed(int theMaxSize)

  - ### limited

    public static <T> BufferList<T> limited(int theInitSize, int theMaxSize)

  - ### unlimited

    public static <T> BufferList<T> unlimited(int theInitSize)

  - ### fixed

    public static <T> BufferList<T> fixed(T... theArray)

  - ### fixedEmpty

    public static <T> BufferList<T> fixedEmpty(T[] theArray)

  - ### limited

    public static <T> BufferList<T> limited(T[] theArray, int theMaxSize)

  - ### limitedWithExpectedSize

    public static <T> BufferList<T> limitedWithExpectedSize(int theExpectedSize)

  - ### limitedWithExpectedSize

    public static <T> BufferList<T> limitedWithExpectedSize(int theExpectedSize, int maxSize)

  - ### sortedLimited

    public static <T> ExtendedBufferList<T> sortedLimited(int theExpectedSize)

  - ### sortedUnlimited

    public static <T> ExtendedBufferList<T> sortedUnlimited(int theInitSize)

  - ### unlimited

    public static <T> BufferList<T> unlimited(T[] theArray)

  - ### asJavaList

    public static <T> List<T> asJavaList(BufferList<T> buffer)
    Creates a new `List` instance backed by the same `array` as the given `BufferList`.